name: Lint

on:
  push:
  workflow_dispatch:

jobs:
  pre-commit-lint:
    name: pre-commit Linting
    runs-on: pi
    steps:
    - uses: actions/checkout@v4
    - uses: actions/setup-python@v4
    - run: pip install pre-commit
      shell: bash
    - name: Pre Commit
      run: SKIP=no-commit-to-branch pre-commit run -a
      shell: bash
